/* Generated phase table, do not edit */
/*   gen_phase_table -o pt2048.h -N bldc -c -i 2048 -s sin3phup -n 3 -f c */

/* ptirc=2048 ptper=1 ptamp=32767 phasenum=3 combined=1*/
/* shape="sin3phup" */
/* ptable_name="bldc" */

#define bldc_ptirc 2048
#define bldc_ptper 1

const short
bldc_phase1[]={
   28377,
   28426,
   28476,
   28526,
   28575,
   28624,
   28672,
   28721,
   28770,
   28817,
   28866,
   28913,
   28960,
   29006,
   29053,
   29100,
   29146,
   29192,
   29237,
   29282,
   29327,
   29372,
   29416,
   29460,
   29504,
   29548,
   29591,
   29635,
   29677,
   29720,
   29761,
   29804,
   29845,
   29887,
   29928,
   29969,
   30009,
   30049,
   30089,
   30129,
   30168,
   30207,
   30246,
   30284,
   30322,
   30361,
   30398,
   30436,
   30473,
   30510,
   30546,
   30582,
   30618,
   30654,
   30690,
   30725,
   30759,
   30794,
   30828,
   30861,
   30896,
   30929,
   30962,
   30994,
   31027,
   31060,
   31091,
   31122,
   31154,
   31185,
   31216,
   31246,
   31276,
   31306,
   31335,
   31365,
   31394,
   31422,
   31450,
   31479,
   31507,
   31534,
   31561,
   31588,
   31615,
   31641,
   31667,
   31693,
   31718,
   31743,
   31768,
   31792,
   31816,
   31840,
   31863,
   31887,
   31910,
   31933,
   31955,
   31978,
   31999,
   32021,
   32042,
   32063,
   32083,
   32103,
   32123,
   32143,
   32163,
   32182,
   32200,
   32218,
   32237,
   32254,
   32272,
   32289,
   32306,
   32323,
   32339,
   32356,
   32371,
   32386,
   32402,
   32416,
   32431,
   32445,
   32459,
   32473,
   32485,
   32498,
   32512,
   32524,
   32535,
   32547,
   32559,
   32570,
   32581,
   32591,
   32601,
   32611,
   32621,
   32630,
   32640,
   32648,
   32656,
   32664,
   32672,
   32680,
   32687,
   32694,
   32700,
   32707,
   32713,
   32718,
   32723,
   32729,
   32733,
   32737,
   32741,
   32745,
   32749,
   32751,
   32755,
   32757,
   32759,
   32761,
   32763,
   32764,
   32765,
   32765,
   32766,
   32766,
   32766,
   32765,
   32764,
   32763,
   32762,
   32760,
   32758,
   32755,
   32752,
   32750,
   32746,
   32742,
   32738,
   32734,
   32730,
   32725,
   32720,
   32714,
   32708,
   32702,
   32696,
   32689,
   32682,
   32675,
   32667,
   32659,
   32651,
   32642,
   32634,
   32624,
   32614,
   32605,
   32595,
   32585,
   32573,
   32563,
   32552,
   32540,
   32528,
   32515,
   32503,
   32490,
   32477,
   32463,
   32449,
   32436,
   32421,
   32407,
   32392,
   32376,
   32361,
   32344,
   32328,
   32311,
   32295,
   32278,
   32260,
   32243,
   32225,
   32206,
   32187,
   32168,
   32149,
   32130,
   32110,
   32090,
   32070,
   32049,
   32028,
   32006,
   31985,
   31962,
   31940,
   31917,
   31895,
   31872,
   31848,
   31825,
   31801,
   31776,
   31751,
   31726,
   31701,
   31676,
   31650,
   31623,
   31597,
   31570,
   31543,
   31516,
   31488,
   31460,
   31432,
   31403,
   31375,
   31346,
   31316,
   31287,
   31256,
   31226,
   31195,
   31164,
   31133,
   31102,
   31070,
   31038,
   31006,
   30973,
   30940,
   30906,
   30873,
   30839,
   30806,
   30771,
   30736,
   30701,
   30666,
   30630,
   30594,
   30558,
   30522,
   30485,
   30448,
   30411,
   30373,
   30336,
   30298,
   30259,
   30221,
   30181,
   30142,
   30103,
   30063,
   30022,
   29982,
   29942,
   29901,
   29860,
   29817,
   29776,
   29734,
   29691,
   29649,
   29606,
   29562,
   29519,
   29475,
   29431,
   29387,
   29342,
   29297,
   29253,
   29207,
   29161,
   29115,
   29069,
   29023,
   28976,
   28928,
   28881,
   28834,
   28785,
   28738,
   28689,
   28640,
   28591,
   28543,
   28493,
   28442,
   28393,
   28342,
   28292,
   28241,
   28190,
   28139,
   28087,
   28035,
   27983,
   27931,
   27878,
   27824,
   27771,
   27718,
   27664,
   27610,
   27556,
   27502,
   27447,
   27392,
   27336,
   27281,
   27225,
   27169,
   27113,
   27056,
   26999,
   26942,
   26884,
   26827,
   26769,
   26712,
   26653,
   26595,
   26536,
   26477,
   26417,
   26358,
   26297,
   26238,
   26178,
   26116,
   26056,
   25995,
   25933,
   25872,
   25810,
   25748,
   25686,
   25623,
   25560,
   25497,
   25434,
   25371,
   25307,
   25243,
   25178,
   25114,
   25049,
   24985,
   24919,
   24854,
   24789,
   24723,
   24657,
   24590,
   24524,
   24457,
   24390,
   24322,
   24255,
   24188,
   24120,
   24051,
   23983,
   23914,
   23846,
   23777,
   23707,
   23638,
   23568,
   23498,
   23428,
   23357,
   23287,
   23216,
   23145,
   23074,
   23002,
   22931,
   22858,
   22786,
   22714,
   22642,
   22569,
   22496,
   22423,
   22350,
   22276,
   22201,
   22128,
   22053,
   21979,
   21905,
   21830,
   21755,
   21679,
   21604,
   21528,
   21452,
   21376,
   21300,
   21223,
   21147,
   21070,
   20993,
   20916,
   20838,
   20760,
   20683,
   20604,
   20526,
   20448,
   20369,
   20290,
   20211,
   20132,
   20053,
   19973,
   19893,
   19813,
   19733,
   19653,
   19572,
   19491,
   19411,
   19329,
   19248,
   19167,
   19085,
   19003,
   18921,
   18839,
   18757,
   18674,
   18592,
   18509,
   18425,
   18342,
   18259,
   18175,
   18092,
   18008,
   17924,
   17840,
   17755,
   17671,
   17586,
   17501,
   17416,
   17331,
   17245,
   17160,
   17074,
   16988,
   16902,
   16816,
   16730,
   16643,
   16557,
   16470,
   16383,
   16296,
   16209,
   16121,
   16034,
   15946,
   15858,
   15770,
   15682,
   15594,
   15505,
   15417,
   15328,
   15239,
   15150,
   15061,
   14971,
   14882,
   14792,
   14702,
   14612,
   14523,
   14433,
   14342,
   14252,
   14161,
   14070,
   13979,
   13888,
   13798,
   13706,
   13615,
   13523,
   13431,
   13340,
   13248,
   13156,
   13064,
   12972,
   12879,
   12787,
   12694,
   12602,
   12508,
   12415,
   12322,
   12230,
   12136,
   12043,
   11949,
   11855,
   11762,
   11667,
   11574,
   11480,
   11385,
   11291,
   11196,
   11102,
   11007,
   10913,
   10818,
   10723,
   10628,
   10533,
   10437,
   10342,
   10246,
   10151,
   10056,
    9960,
    9864,
    9768,
    9672,
    9576,
    9480,
    9383,
    9287,
    9190,
    9094,
    8998,
    8901,
    8804,
    8707,
    8610,
    8513,
    8416,
    8319,
    8222,
    8124,
    8027,
    7929,
    7831,
    7734,
    7636,
    7538,
    7441,
    7342,
    7245,
    7146,
    7048,
    6950,
    6852,
    6753,
    6655,
    6557,
    6458,
    6359,
    6261,
    6162,
    6064,
    5965,
    5866,
    5767,
    5668,
    5569,
    5470,
    5371,
    5271,
    5172,
    5073,
    4974,
    4874,
    4775,
    4675,
    4576,
    4476,
    4377,
    4277,
    4177,
    4078,
    3977,
    3878,
    3778,
    3678,
    3578,
    3478,
    3378,
    3278,
    3178,
    3078,
    2978,
    2878,
    2778,
    2678,
    2578,
    2477,
    2377,
    2277,
    2177,
    2077,
    1976,
    1876,
    1775,
    1675,
    1575,
    1474,
    1374,
    1273,
    1173,
    1073,
     971,
     871,
     770,
     671,
     570,
     469,
     368,
     268,
     167,
      67,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
      67,
     167,
     268,
     368,
     469,
     570,
     671,
     770,
     871,
     971,
    1073,
    1173,
    1273,
    1374,
    1474,
    1575,
    1675,
    1775,
    1876,
    1976,
    2077,
    2177,
    2277,
    2377,
    2477,
    2578,
    2678,
    2778,
    2878,
    2978,
    3078,
    3178,
    3278,
    3378,
    3478,
    3578,
    3678,
    3778,
    3878,
    3977,
    4078,
    4177,
    4277,
    4377,
    4476,
    4576,
    4675,
    4775,
    4874,
    4974,
    5073,
    5172,
    5271,
    5371,
    5470,
    5569,
    5668,
    5767,
    5866,
    5965,
    6064,
    6162,
    6261,
    6359,
    6458,
    6557,
    6655,
    6753,
    6852,
    6950,
    7048,
    7146,
    7245,
    7342,
    7441,
    7538,
    7636,
    7734,
    7831,
    7929,
    8027,
    8124,
    8222,
    8319,
    8416,
    8513,
    8610,
    8707,
    8804,
    8901,
    8998,
    9094,
    9190,
    9287,
    9383,
    9480,
    9576,
    9672,
    9768,
    9864,
    9960,
   10056,
   10151,
   10246,
   10342,
   10437,
   10533,
   10628,
   10723,
   10818,
   10913,
   11007,
   11102,
   11196,
   11291,
   11385,
   11480,
   11574,
   11667,
   11762,
   11855,
   11949,
   12043,
   12136,
   12230,
   12322,
   12415,
   12508,
   12602,
   12694,
   12787,
   12879,
   12972,
   13064,
   13156,
   13248,
   13340,
   13431,
   13523,
   13615,
   13706,
   13798,
   13888,
   13979,
   14070,
   14161,
   14252,
   14342,
   14433,
   14523,
   14612,
   14702,
   14792,
   14882,
   14971,
   15061,
   15150,
   15239,
   15328,
   15417,
   15505,
   15594,
   15682,
   15770,
   15858,
   15946,
   16034,
   16121,
   16209,
   16296,
   16383,
   16470,
   16557,
   16643,
   16730,
   16816,
   16902,
   16988,
   17074,
   17160,
   17245,
   17331,
   17416,
   17501,
   17586,
   17671,
   17755,
   17840,
   17924,
   18008,
   18092,
   18175,
   18259,
   18342,
   18425,
   18509,
   18592,
   18674,
   18757,
   18839,
   18921,
   19003,
   19085,
   19167,
   19248,
   19329,
   19411,
   19491,
   19572,
   19653,
   19733,
   19813,
   19893,
   19973,
   20053,
   20132,
   20211,
   20290,
   20369,
   20448,
   20526,
   20604,
   20683,
   20760,
   20838,
   20916,
   20993,
   21070,
   21147,
   21223,
   21300,
   21376,
   21452,
   21528,
   21604,
   21679,
   21755,
   21830,
   21905,
   21979,
   22053,
   22128,
   22201,
   22276,
   22350,
   22423,
   22496,
   22569,
   22642,
   22714,
   22786,
   22858,
   22931,
   23002,
   23074,
   23145,
   23216,
   23287,
   23357,
   23428,
   23498,
   23568,
   23638,
   23707,
   23777,
   23846,
   23914,
   23983,
   24051,
   24120,
   24188,
   24255,
   24322,
   24390,
   24457,
   24524,
   24590,
   24657,
   24723,
   24789,
   24854,
   24919,
   24985,
   25049,
   25114,
   25178,
   25243,
   25307,
   25371,
   25434,
   25497,
   25560,
   25623,
   25686,
   25748,
   25810,
   25872,
   25933,
   25995,
   26056,
   26116,
   26178,
   26238,
   26297,
   26358,
   26417,
   26477,
   26536,
   26595,
   26653,
   26712,
   26769,
   26827,
   26884,
   26942,
   26999,
   27056,
   27113,
   27169,
   27225,
   27281,
   27336,
   27392,
   27447,
   27502,
   27556,
   27610,
   27664,
   27718,
   27771,
   27824,
   27878,
   27931,
   27983,
   28035,
   28087,
   28139,
   28190,
   28241,
   28292,
   28342,
   28393,
   28442,
   28493,
   28543,
   28591,
   28640,
   28689,
   28738,
   28785,
   28834,
   28881,
   28928,
   28976,
   29023,
   29069,
   29115,
   29161,
   29207,
   29253,
   29297,
   29342,
   29387,
   29431,
   29475,
   29519,
   29562,
   29606,
   29649,
   29691,
   29734,
   29776,
   29817,
   29860,
   29901,
   29942,
   29982,
   30022,
   30063,
   30103,
   30142,
   30181,
   30221,
   30259,
   30298,
   30336,
   30373,
   30411,
   30448,
   30485,
   30522,
   30558,
   30594,
   30630,
   30666,
   30701,
   30736,
   30771,
   30806,
   30839,
   30873,
   30906,
   30940,
   30973,
   31006,
   31038,
   31070,
   31102,
   31133,
   31164,
   31195,
   31226,
   31256,
   31287,
   31316,
   31346,
   31375,
   31403,
   31432,
   31460,
   31488,
   31516,
   31543,
   31570,
   31597,
   31623,
   31650,
   31676,
   31701,
   31726,
   31751,
   31776,
   31801,
   31825,
   31848,
   31872,
   31895,
   31917,
   31940,
   31962,
   31985,
   32006,
   32028,
   32049,
   32070,
   32090,
   32110,
   32130,
   32149,
   32168,
   32187,
   32206,
   32225,
   32243,
   32260,
   32278,
   32295,
   32311,
   32328,
   32344,
   32361,
   32376,
   32392,
   32407,
   32421,
   32436,
   32449,
   32463,
   32477,
   32490,
   32503,
   32515,
   32528,
   32540,
   32552,
   32563,
   32573,
   32585,
   32595,
   32605,
   32614,
   32624,
   32634,
   32642,
   32651,
   32659,
   32667,
   32675,
   32682,
   32689,
   32696,
   32702,
   32708,
   32714,
   32720,
   32725,
   32730,
   32734,
   32738,
   32742,
   32746,
   32750,
   32752,
   32755,
   32758,
   32760,
   32762,
   32763,
   32764,
   32765,
   32766,
   32766,
   32766,
   32765,
   32765,
   32764,
   32763,
   32761,
   32759,
   32757,
   32755,
   32751,
   32749,
   32745,
   32741,
   32737,
   32733,
   32729,
   32723,
   32718,
   32713,
   32707,
   32700,
   32694,
   32687,
   32680,
   32672,
   32664,
   32656,
   32648,
   32640,
   32630,
   32621,
   32611,
   32601,
   32591,
   32581,
   32570,
   32559,
   32547,
   32535,
   32524,
   32512,
   32498,
   32485,
   32473,
   32459,
   32445,
   32431,
   32416,
   32402,
   32386,
   32371,
   32356,
   32339,
   32323,
   32306,
   32289,
   32272,
   32254,
   32237,
   32218,
   32200,
   32182,
   32163,
   32143,
   32123,
   32103,
   32083,
   32063,
   32042,
   32021,
   31999,
   31978,
   31955,
   31933,
   31910,
   31887,
   31863,
   31840,
   31816,
   31792,
   31768,
   31743,
   31718,
   31693,
   31667,
   31641,
   31615,
   31588,
   31561,
   31534,
   31507,
   31479,
   31450,
   31422,
   31394,
   31365,
   31335,
   31306,
   31276,
   31246,
   31216,
   31185,
   31154,
   31122,
   31091,
   31060,
   31027,
   30994,
   30962,
   30929,
   30896,
   30861,
   30828,
   30794,
   30759,
   30725,
   30690,
   30654,
   30618,
   30582,
   30546,
   30510,
   30473,
   30436,
   30398,
   30361,
   30322,
   30284,
   30246,
   30207,
   30168,
   30129,
   30089,
   30049,
   30009,
   29969,
   29928,
   29887,
   29845,
   29804,
   29761,
   29720,
   29677,
   29635,
   29591,
   29548,
   29504,
   29460,
   29416,
   29372,
   29327,
   29282,
   29237,
   29192,
   29146,
   29100,
   29053,
   29006,
   28960,
   28913,
   28866,
   28817,
   28770,
   28721,
   28672,
   28624,
   28575,
   28526,
   28476,
   28426,
   28377,
   28426,
   28476,
   28526,
   28575,
   28624,
   28672,
   28721,
   28770,
   28817,
   28866,
   28913,
   28960,
   29006,
   29053,
   29100,
   29146,
   29192,
   29237,
   29282,
   29327,
   29372,
   29416,
   29460,
   29504,
   29548,
   29591,
   29635,
   29677,
   29720,
   29761,
   29804,
   29845,
   29887,
   29928,
   29969,
   30009,
   30049,
   30089,
   30129,
   30168,
   30207,
   30246,
   30284,
   30322,
   30361,
   30398,
   30436,
   30473,
   30510,
   30546,
   30582,
   30618,
   30654,
   30690,
   30725,
   30759,
   30794,
   30828,
   30861,
   30896,
   30929,
   30962,
   30994,
   31027,
   31060,
   31091,
   31122,
   31154,
   31185,
   31216,
   31246,
   31276,
   31306,
   31335,
   31365,
   31394,
   31422,
   31450,
   31479,
   31507,
   31534,
   31561,
   31588,
   31615,
   31641,
   31667,
   31693,
   31718,
   31743,
   31768,
   31792,
   31816,
   31840,
   31863,
   31887,
   31910,
   31933,
   31955,
   31978,
   31999,
   32021,
   32042,
   32063,
   32083,
   32103,
   32123,
   32143,
   32163,
   32182,
   32200,
   32218,
   32237,
   32255,
   32272,
   32289,
   32306,
   32323,
   32339,
   32356,
   32371,
   32386,
   32402,
   32416,
   32431,
   32445,
   32459,
   32473,
   32485,
   32498,
   32512,
   32524,
   32535,
   32547,
   32559,
   32570,
   32581,
   32591,
   32601,
   32611,
   32621,
   32630,
   32640,
   32648,
   32656,
   32664,
   32672,
   32680,
   32687,
   32694,
   32700,
   32707,
   32713,
   32718,
   32723,
   32729,
   32733,
   32737,
   32741,
   32745,
   32749,
   32751,
   32755,
   32757,
   32759,
   32761,
   32763,
   32764,
   32765,
   32765,
   32766,
   32766,
   32766,
   32765,
   32764,
   32763,
   32762,
   32760,
   32758,
   32755,
   32752,
   32750,
   32746,
   32742,
   32738,
   32734,
   32730,
   32725,
   32720,
   32714,
   32708,
   32702,
   32696,
   32689,
   32682,
   32675,
   32667,
   32659,
   32651,
   32642,
   32634,
   32624,
   32614,
   32605,
   32595,
   32585,
   32573,
   32563,
   32552,
   32540,
   32528,
   32515,
   32503,
   32490,
   32477,
   32463,
   32449,
   32436,
   32421,
   32407,
   32392,
   32376,
   32361,
   32344,
   32328,
   32311,
   32295,
   32278,
   32260,
   32243,
   32225,
   32206,
   32187,
   32168,
   32149,
   32130,
   32110,
   32090,
   32070,
   32049,
   32028,
   32006,
   31985,
   31962,
   31940,
   31917,
   31895,
   31872,
   31848,
   31825,
   31801,
   31776,
   31751,
   31726,
   31701,
   31676,
   31650,
   31623,
   31597,
   31570,
   31543,
   31516,
   31488,
   31460,
   31432,
   31403,
   31375,
   31346,
   31316,
   31287,
   31256,
   31226,
   31195,
   31164,
   31133,
   31102,
   31070,
   31038,
   31006,
   30973,
   30940,
   30906,
   30873,
   30839,
   30806,
   30771,
   30736,
   30701,
   30666,
   30630,
   30594,
   30558,
   30522,
   30485,
   30448,
   30411,
   30373,
   30336,
   30298,
   30259,
   30221,
   30181,
   30142,
   30103,
   30063,
   30022,
   29982,
   29942,
   29901,
   29860,
   29817,
   29776,
   29734,
   29691,
   29649,
   29606,
   29562,
   29519,
   29475,
   29431,
   29387,
   29342,
   29297,
   29253,
   29207,
   29161,
   29115,
   29069,
   29023,
   28976,
   28928,
   28881,
   28834,
   28785,
   28738,
   28689,
   28640,
   28591,
   28543,
   28493,
   28442,
   28393,
   28342,
   28292,
   28241,
   28190,
   28139,
   28087,
   28035,
   27983,
   27931,
   27878,
   27824,
   27771,
   27718,
   27664,
   27610,
   27556,
   27502,
   27447,
   27392,
   27336,
   27281,
   27225,
   27169,
   27113,
   27056,
   26999,
   26942,
   26884,
   26827,
   26769,
   26712,
   26653,
   26595,
   26536,
   26477,
   26417,
   26358,
   26297,
   26238,
   26178,
   26116,
   26056,
   25995,
   25933,
   25872,
   25810,
   25748,
   25686,
   25623,
   25560,
   25497,
   25434,
   25371,
   25307,
   25243,
   25178,
   25114,
   25049,
   24985,
   24919,
   24854,
   24789,
   24723,
   24657,
   24590,
   24524,
   24457,
   24390,
   24322,
   24255,
   24188,
   24120,
   24051,
   23983,
   23914,
   23846,
   23777,
   23707,
   23638,
   23568,
   23498,
   23428,
   23357,
   23287,
   23216,
   23145,
   23074,
   23002,
   22931,
   22858,
   22786,
   22714,
   22642,
   22569,
   22496,
   22423,
   22350,
   22276,
   22201,
   22128,
   22053,
   21979,
   21905,
   21830,
   21755,
   21679,
   21604,
   21528,
   21452,
   21376,
   21300,
   21223,
   21147,
   21070,
   20993,
   20916,
   20838,
   20760,
   20683,
   20604,
   20526,
   20448,
   20369,
   20290,
   20211,
   20132,
   20053,
   19973,
   19893,
   19813,
   19733,
   19653,
   19572,
   19491,
   19411,
   19329,
   19248,
   19167,
   19085,
   19003,
   18921,
   18839,
   18757,
   18674,
   18592,
   18509,
   18425,
   18342,
   18259,
   18175,
   18092,
   18008,
   17924,
   17840,
   17755,
   17671,
   17586,
   17501,
   17416,
   17331,
   17245,
   17160,
   17074,
   16988,
   16902,
   16816,
   16730,
   16643,
   16557,
   16470,
   16383,
   16296,
   16209,
   16121,
   16034,
   15946,
   15858,
   15770,
   15682,
   15594,
   15505,
   15417,
   15328,
   15239,
   15150,
   15061,
   14971,
   14882,
   14792,
   14702,
   14612,
   14523,
   14433,
   14342,
   14252,
   14161,
   14070,
   13979,
   13888,
   13798,
   13706,
   13615,
   13523,
   13431,
   13340,
   13248,
   13156,
   13064,
   12972,
   12879,
   12787,
   12694,
   12602,
   12508,
   12416,
   12322,
   12230,
   12136,
   12043,
   11949,
   11855,
   11762,
   11667,
   11574,
   11480,
   11385,
   11291,
   11196,
   11102,
   11007,
   10913,
   10818,
   10723,
   10628,
   10533,
   10437,
   10342,
   10246,
   10151,
   10056,
    9960,
    9864,
    9768,
    9672,
    9576,
    9480,
    9383,
    9287,
    9190,
    9094,
    8998,
    8901,
    8804,
    8707,
    8610,
    8513,
    8416,
    8319,
    8222,
    8124,
    8027,
    7929,
    7831,
    7734,
    7636,
    7538,
    7441,
    7342,
    7245,
    7146,
    7048,
    6950,
    6852,
    6753,
    6655,
    6557,
    6458,
    6359,
    6261,
    6162,
    6064,
    5965,
    5866,
    5767,
    5668,
    5569,
    5470,
    5371,
    5271,
    5172,
    5073,
    4974,
    4874,
    4775,
    4675,
    4576,
    4476,
    4377,
    4277,
    4177,
    4078,
    3977,
    3878,
    3779,
    3678,
    3578,
    3478,
    3378,
    3278,
    3178,
    3078,
    2978,
    2878,
    2778,
    2678,
    2578,
    2477,
    2377,
    2277,
    2177,
    2077,
    1976,
    1876,
    1775,
    1675,
    1575,
    1474,
    1374,
    1273,
    1173,
    1073,
     971,
     871,
     770,
     671,
     570,
     469,
     368,
     268,
     167,
      67,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0
};

# define bldc_phase2 (bldc_phase1+683)
# define bldc_phase3 (bldc_phase1+1365)
